it-swarm-es.tech

¿Debo instalar estos paquetes para python3?

Estoy aprendiendo python3 ahora y quiero hacer una pregunta al respecto.

Mi Ubuntu ya tiene Python2 y Python3. Solo estoy aprendiendo python3. ¿Debo instalar estos paquetes?

Paquetes:

Sudo apt-get install tcl-dev tk-dev zlib1g-dev ncurses-dev libreadline-dev libdb-dev libgdbm-dev libzip-dev libssl-dev libsqlite3-dev libbz2-dev liblzma-dev

Mi versión de Python3:

Python 3.4.3+

Mi versión de Python2:

Python 2.7.10
1
Interesting Knox

Para fines de aprendizaje, no necesita nada más que python y un editor de texto plano como gedit. De hecho python (2) y python3 están preinstalados en una versión moderna de Ubuntu.

Bibliotecas adicionales, solo instalaría si tiene una razón específica para ello. Descubrirá si obtiene errores de importación, por ejemplo.
Muchas de las cosas que mencionas no las tengo en mi sistema.

Inactivo, el python IDE

Para sangría automática, edición fácil y prueba de ejecución de su código, recomendaría instalar tanto idle como idle3 aunque (python IDE)

2
Jacob Vlijm